import './demo4.css';
import React from 'react';
import ReactDOM from 'react-dom';
import Tab from '..';
const tabs = [
    { tab: 'Home', key: 0, content: 'This is home page' },
    { tab: 'Document', key: 1, content: 'This is document page' },
    { tab: 'API', key: 2, content: 'This is api page' },
];
ReactDOM.render(React.createElement("div", null,
    React.createElement("div", null, "use lazyLoad=false to render all tab items"),
    React.createElement(Tab, { lazyLoad: false }, tabs.map(item => (React.createElement(Tab.Item, { key: item.key, title: item.tab }, item.content)))),
    React.createElement("br", null),
    React.createElement("div", null, "Unmount other items while switch tab"),
    React.createElement(Tab, { unmountInactiveTabs: true }, tabs.map(item => (React.createElement(Tab.Item, { key: item.key, title: item.tab }, item.content))))), document.getElementById('tab-demo-4'));
